Get closure info for a specific day
curl --request GET \
--url https://api.chift.eu/consumers/{consumer_id}/pos/closures/{date}import requests
url = "https://api.chift.eu/consumers/{consumer_id}/pos/closures/{date}"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.chift.eu/consumers/{consumer_id}/pos/closures/{date}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"date": "2025-01-01",
"status": "closed",
"closures": []
}{
"message": "Error while trying to perform your request",
"status": "error"
}{
"message": "The resource {Method} - {Resource} is not supported by {ConnectorName}",
"status": "error"
}{
"message": "Validation error",
"status": "error",
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}{
"message": "Error while trying to authenticate to {ConnectorName}",
"status": "error"
}Closure / Report
Get closure info for a specific day
Returns whether the closure was already done for a specific day or not
GET
/
consumers
/
{consumer_id}
/
pos
/
closures
/
{date}
Get closure info for a specific day
Learn more:
Path Parameters
Filter based on the date of the closure
Query Parameters
Unique identifier of the location. If none passed, closures from all locations will be returned unless the location was selected by the end-user
Response
Successful Response